#!/bin/sh
# Copyright 2009 Nick White
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# To use this in mutt, add something like the following to your ~/.muttrc:
# macro index \eF "<sync-mailbox><shell-escape>gatherflaggedmail.sh\n
#   <change-folder>=flagged<enter>" "Gather flagged mail"

MAILDIR=$HOME/.mail
FLAGGEDDIR=$MAILDIR/flagged

# exclude transitory directories
searchpaths=$(ls $MAILDIR|sed -e '/search/d'|sed -e '/flagged/d')

# clear old directory
rm -f $FLAGGEDDIR/cur/*

for path in $searchpaths; do
	find "$MAILDIR/$path" -regex '.*,*F[^\,]+*$' -exec ln -sf {} "$FLAGGEDDIR/cur" \;
done
